Bug 190267 - Review Request: raidem-music - Background music for the game raidem
Review Request: raidem-music - Background music for the game raidem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On: 188625
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-29 15:19 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 00:20:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -ivh output (334 bytes, text/plain)
2006-04-30 17:39 EDT, Wart
no flags Details
rpm -ql raidem output (3.35 KB, text/plain)
2006-04-30 17:43 EDT, Wart
no flags Details
strace output from raidem (74.04 KB, text/plain)
2006-04-30 17:45 EDT, Wart
no flags Details

  None (edit)
Description Hans de Goede 2006-04-29 15:19:58 EDT
Spec URL: http://home.zonnet.nl/jwrdegoede/raidem-music.spec
SRPM URL: See below
Description:
Music created by Eric Hamilton (dilvie), which can be optionally installed
besides the game raidem as background music.

---

As usual (anybody to give me a decent ftp account somewhere?) with anything a bit large, sorry no SRPM because of my sucky ISP.
Source 0, 2-3 can be downloaded fromupstream
Source 4 is here: http://home.zonnet.nl/jwrdegoede/license.txt

Source 1 is unfortunate only available in mp3 format so I've transcoded it, keeping all the id3tags intact. Unfortunate the result is to big to be uploaded as one file (my ISP has a max filesize limit of 3Mb GRRRR). Thus I've uploaded it in 2 parts:
http://home.zonnet.nl/jwrdegoede/dilvie_-_up_in_ashes.ogg.1
http://home.zonnet.nl/jwrdegoede/dilvie_-_up_in_ashes.ogg.2

To get the original back type in your download dir:
cat dilvie_-_up_in_ashes.ogg.1 dilvie_-_up_in_ashes.ogg.2 > dilvie_-_up_in_ashes.ogg

Sorry for the inconvient review. I promise the rest of the review should be a piece of cake / a walk in the park.


---

Testing if you want to test this in another way then just playing the ogg's you'll need the unreleased raidem-0.3.1 from FE devel CVS. This is unreleased because in order to build 0.3.1 you'll need the unreleased AllegroOGG package, who's review is in bug 188625 .
Comment 1 Hans de Goede 2006-04-30 03:29:11 EDT
Before someone start reviewing here is a new version which fixes the following:
-missing Requires:  raidem >= 0.3.1
-missing Buildarch: noarch

The new specfile is available at:
Spec URL: http://home.zonnet.nl/jwrdegoede/raidem-music.spec
Comment 2 Wart 2006-04-30 15:53:33 EDT
MUST
====

* Package named appropriately
* License (CC) ok
* Spec file legible and in Am. English
* No BR: needed
* No locales
* No shared libraries
* Not relocatable
* Owns the directory that it creates
* $RPM_BUILD_ROOT cleaned where it should be
* File permissions ok
* No duplicate %files
* Contains no code, but acceptible content (game data)
* No -devel package needed
* No .desktop file needed

SUGGEST
=======
* Slightly modified %description:
  "Music created by Eric Hamilton (dilvie) for the game Raid'em"

The files play fine with xmms.  I was unable to test them with the CVS
version of raidem due to problems with the raidem package itself:
"Error loading base datafiles."

I'll take your word that raidem will load/play these files correctly.

APPROVED
Comment 3 Hans de Goede 2006-04-30 16:50:23 EDT
(In reply to comment #2)
> The files play fine with xmms.  I was unable to test them with the CVS
> version of raidem due to problems with the raidem package itself:
> "Error loading base datafiles."
> 

Hmm, thats strange are you sure you've the latest CVS? I did have the same
problem 2 days ago, but that should be fixed now?

Could you do  a rpm -ql raidem and a strace and attach both? It seems that the
latest raidem build for devel wasn't pushed to the mirrors yet so I can't test
that and my local build works fine.

Comment 4 Wart 2006-04-30 17:04:02 EDT
(In reply to comment #2)
> MUST
> ====
> 
[...]
> * Contains no code, but acceptible content (game data)

I'm starting to rethink this one.  These ogg files are not required to play the
game, and aren't part of the upstream source.  The guidelines state:

# Game levels are not considered content, since games without levels would be
non functional.
# Sound or graphics included with the source tarball that the program or theme
uses (or the documentation uses) are acceptable.
and specifically says that ogg/mp3 files are not acceptable.

Let me get the opinion of f-e-l on this one.
Comment 5 Hans de Goede 2006-04-30 17:12:23 EDT
Erm,

I think you're reading this to literal, the .ogg files in this package are
linked to from the download page of upstream:
http://home.exetel.com.au/tjaden/raidem/download.html
They are not some randomly picked ogg files, they are _the_ background music for
raidem. Don't tell me that I have to ask upstream to make a special tarball for
me with these included because the guidelines say so?

About the explicit saying that mp3 and ogg files are not acceptable, I believe
this is to discourage people from packaging stand alone collections of music and
is not a hard forbidden item, otherwise monkey-bubble and gcompris would have to
have all their ogg's removed leaving them severely crippled.

But if you're not sure feel free to post this to f-e-l. I'm just trying to
change your mind before we get a flamefest there :)
Comment 6 Hans de Goede 2006-04-30 17:15:36 EDT
p.s.

I already started the import and that darn import script seems to have decided
to drop all the ogg's in CVS instead of in the lookaside cache, ouch!
Comment 7 Wart 2006-04-30 17:22:42 EDT
(In reply to comment #5)

> But if you're not sure feel free to post this to f-e-l. I'm just trying to
> change your mind before we get a flamefest there :)

I agree that it should be acceptable, but I don't think the guidelines are
crystal clear in this case.  The guidelines also state "If you are unsure if
something is considered approved content, ask on fedora-extras-list."  I'd
rather get f-e-l's opinion and have this flamefest now instead of later when
someone discovers a package full of ogg files.  :)
Comment 8 Wart 2006-04-30 17:39:12 EDT
Created attachment 128423 [details]
rpm -ivh output

Note the error during the installation.  I'm not sure why that is happening.
Comment 9 Wart 2006-04-30 17:43:46 EDT
Created attachment 128424 [details]
rpm -ql raidem output

Note that even though it says /usr/share/raidem/... is part of the package,
this directory doesn't actually get created.  Other packages have no problem
creating things in /usr/share.
Comment 10 Wart 2006-04-30 17:45:08 EDT
Created attachment 128425 [details]
strace output from raidem

It's clear from the strace output that it's dying due to the missing
/usr/share/raidem files.
Comment 11 Hans de Goede 2006-04-30 17:47:52 EDT
Hmm, disk full / filesys corrupt? Did you check dmesg output? Have you tried
setenforce 0?
Comment 12 Wart 2006-04-30 19:56:38 EDT
Found the problem:  there's a bad line in the %build section:

%define _datadir /use/share

This should be '/usr/share', not '/use/share'.  It would be better to remove
those two %define lines and just set datadir on the configure line:

%configure --datadir=%{_datadir}/%{name}

With that fix raidem installs fine and I was able to verify that the game loads
and plays the music with no problems.
Comment 13 Hans de Goede 2006-05-01 00:53:49 EDT
You're right, thanks! And thanks for the better way todo this too, I didn't
think off passing --datadir twice (%configure already apsses it with another value).

Fixing this in Rawhide right away luckiliy it seems that 0.3.1-1 didn't get
pushed yet.
Comment 14 Wart 2006-05-01 19:26:24 EDT
(In reply to comment #7)
> (In reply to comment #5)
> 
> > But if you're not sure feel free to post this to f-e-l. I'm just trying to
> > change your mind before we get a flamefest there :)
> 
> I agree that it should be acceptable, but I don't think the guidelines are
> crystal clear in this case.  The guidelines also state "If you are unsure if
> something is considered approved content, ask on fedora-extras-list."  I'd
> rather get f-e-l's opinion and have this flamefest now instead of later when
> someone discovers a package full of ogg files.  :)

This is going to be brought up at the next FESCO meeting and updated in the
packaging guidelines.  Based on the feedback from f-e-l so far, it shouldn't be
a problem.
Comment 15 Wart 2006-05-04 14:37:36 EDT
FESCo approved a packaging guideline change to clarify this issue.

APPROVED (again :) )
Comment 16 Michael J Knox 2006-05-08 00:20:45 EDT
package is in extras. Please remember to close package review once its been
imported into cvs etc etc
Comment 17 Hans de Goede 2006-05-08 02:04:03 EDT
Oops sorry, I normally always close them I missed this one I also didn't see it
on the Need cleanup part of the weekly automatic Fedora Status thingie, I guess
I read over it.

Note You need to log in before you can comment on or make changes to this bug.